#
# spec file for package perl-Class-Gomor
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Gomor
Version:        1.03
Release:        1.1
%define cpan_name Class-Gomor
Summary:        another class and object builder
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Gomor/
Source:         http://www.cpan.org/authors/id/G/GO/GOMOR/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%{perl_requires}

%description
This module is yet another class builder. This one adds parameter checking
in *new* constructor, that is to check for attributes existence, and
definedness.

In order to validate parameters, the module needs to find attributes, and
that is the reason for declaring attributes in global variables named
*@AS*, *@AA*, *@AO*. They respectively state for Attributes Scalar,
Attributes Array and Attributes Other. The last one is used to avoid
autocreation of accessors, that is to let you declare your own ones.

Attribute validation is performed by looking at classes hierarchy, by
following @ISA tree inheritance.

The loss in speed by validating all attributes is quite negligeable on a
decent machine (Pentium IV, 2.4 GHz) with Perl 5.8.x. But if you want to
avoid checking, you can do it, see below.

This class is the base class for *Class::Gomor::Array* and
*Class::Gomor::Hash*, so they will inherite the following methods.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE LICENSE.Artistic README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.03
  see /usr/share/doc/packages/perl-Class-Gomor/Changes
  1.03 Tue Jan 13 19:21:45 CET 2015
  - update: copyright notice
  - update: Kwalitee
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 1.02
  * created by cpanspec 1.78.04
